summaryrefslogtreecommitdiffstats
path: root/system/runc
diff options
context:
space:
mode:
author Asaf Ohayon2016-09-08 14:23:32 +0200
committer Willy Sudiarto Raharjo2016-09-08 14:25:02 +0200
commit112b58229e4741ef0c272ce4fe79145fbf6bae98 (patch)
tree305c1b3d2aab61d1a378e62e62b48341a0b0bb0f /system/runc
parent7d7d6ff0ddf58f1db617b4a643a3571c8fefa55b (diff)
downloadslackbuilds-112b58229e4741ef0c272ce4fe79145fbf6bae98.tar.gz
system/runc: Added (lightweight portable containers).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/runc')
-rw-r--r--system/runc/README16
-rw-r--r--system/runc/runc.SlackBuild60
-rw-r--r--system/runc/runc.info10
-rw-r--r--system/runc/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/system/runc/README b/system/runc/README
new file mode 100644
index 0000000000..ad58f04eaf
--- /dev/null
+++ b/system/runc/README
@@ -0,0 +1,16 @@
+runC is a CLI tool for spawning and running containers according to the OCP
+specification. The code can be found on Github.
+
+Embeddable
+
+Containers are started as a child process of runC and can be embedded into
+various other systems without having to run a Docker daemon.
+
+Battle Hardened
+
+runC is built on libcontainer, the same container technology powering millions
+of Docker Engine installations.
+
+Compatible with Docker
+
+Docker images can be run with runC.
diff --git a/system/runc/runc.SlackBuild b/system/runc/runc.SlackBuild
new file mode 100644
index 0000000000..ad776fd627
--- /dev/null
+++ b/system/runc/runc.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for runc
+
+# Written by Asaf Ohayon <asaf@sysbind.co.il>
+
+PRGNAM=runc
+VERSION=${VERSION:-1.0.0_rc1}
+SRCVER=$(echo $VERSION | tr _ -)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/v${SRCVER} || tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+# the have symlinks in their testdata that goes outside the context of this build
+find -L . ! -type l \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o ! -type l \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+unset GOPATH
+
+source /etc/profile.d/go.sh
+
+make
+mkdir -p ${PKG}/usr/bin
+mv runc ${PKG}/usr/bin/docker-runc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a MAINTAINERS LICENSE README.md NOTICE VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/runc/runc.info b/system/runc/runc.info
new file mode 100644
index 0000000000..ba6618d2de
--- /dev/null
+++ b/system/runc/runc.info
@@ -0,0 +1,10 @@
+PRGNAM="runc"
+VERSION="1.0.0_rc1"
+HOMEPAGE="https://runc.io"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://codeload.github.com/opencontainers/runc/tar.gz/v1.0.0-rc1"
+MD5SUM_x86_64="aa1dcbfe78af882209c34184c25ea487"
+REQUIRES="google-go-lang libseccomp"
+MAINTAINER="Asaf Ohayon"
+EMAIL="asaf@sysbind.co.il"
diff --git a/system/runc/slack-desc b/system/runc/slack-desc
new file mode 100644
index 0000000000..10cceebfb5
--- /dev/null
+++ b/system/runc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+runc: runc (lightweight portable containers)
+runc:
+runc: runc is a CLI tool for spawning and running containers according to
+runc: the OCP specification. runc is an open-source project to easily
+runc: create lightweight, portable, self-sufficient containers from any
+runc: application. The same container that a developer builds and tests on
+runc: a laptop can run at scale, in production, on VMs, bare metal,
+runc: OpenStack clusters, public clouds and more.
+runc:
+runc: Homepage: https://runc.io/
+runc: